Socketio_connector. SocketIOInput'. Unknown input channel

I am following the link “How to build a voice assistant with open source Rasa and Mozilla tools” to integrate speech with Rasa. I added the following in credentials.yml file.

socketio_connector.SocketIOInput: bot_message_evt: bot_uttered session_persistence: true user_message_evt: user_uttered

When I am running ``` rasa run --enable-api -p 5005

I am getting error.......




rasa run --enable-api -p 5005
2019-12-03 00:02:45 INFO     root  - Generating grammar tables from /usr/lib/python3.7/lib2to3/Grammar.txt
2019-12-03 00:02:45 INFO     root  - Generating grammar tables from /usr/lib/python3.7/lib2to3/PatternGrammar.txt
Traceback (most recent call last):
  File "/home/saravanan/.local/lib/python3.7/site-packages/rasa/core/run.py", line 59, in _create_single_channel
    input_channel_class = rasa.utils.common.class_from_module_path(channel)
  File "/home/saravanan/.local/lib/python3.7/site-packages/rasa/utils/common.py", line 180, in class_from_module_path
    m = importlib.import_module(module_name)
  File "/usr/lib/python3.7/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1006, in _gcd_import
  File "<frozen importlib._bootstrap>", line 983, in _find_and_load
  File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 677, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 728, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "/home/saravanan/Saravanan/Speech/Sara/rasa-demo/socketio_connector.py", line 26, in <module>
    from TTS.models.tacotron import Tacotron
ModuleNotFoundError: No module named 'TTS'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/saravanan/.local/bin/rasa", line 10, in <module>
    sys.exit(main())
  File "/home/saravanan/.local/lib/python3.7/site-packages/rasa/__main__.py", line 76, in main
    cmdline_arguments.func(cmdline_arguments)
  File "/home/saravanan/.local/lib/python3.7/site-packages/rasa/cli/run.py", line 85, in run
    rasa.run(**vars(args))
  File "/home/saravanan/.local/lib/python3.7/site-packages/rasa/run.py", line 56, in run
    **kwargs,
  File "/home/saravanan/.local/lib/python3.7/site-packages/rasa/core/run.py", line 161, in serve_application
    input_channels = create_http_input_channels(channel, credentials)
  File "/home/saravanan/.local/lib/python3.7/site-packages/rasa/core/run.py", line 48, in create_http_input_channels
    return [_create_single_channel(c, k) for c, k in all_credentials.items()]
  File "/home/saravanan/.local/lib/python3.7/site-packages/rasa/core/run.py", line 48, in <listcomp>
    return [_create_single_channel(c, k) for c, k in all_credentials.items()]
  File "/home/saravanan/.local/lib/python3.7/site-packages/rasa/core/run.py", line 67, in _create_single_channel
    "is a proper name of a class in a module.".format(channel)
Exception: Failed to find input channel class for 'socketio_connector.SocketIOInput'. Unknown input channel. Check your credentials configuration to make sure the mentioned channel is not misspelled. If you are creating your own channel, make sure it is a proper name of a class in a module.